PostgreSQL 7.4.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER FUNCTION

## Name

ALTER FUNCTION -- change the definition of a function

## Synopsis

    ALTER FUNCTION name ( [ type [, ...] ] ) RENAME TO newname

## Description

`ALTER FUNCTION` changes the definition of a function. The only functionality is to rename the function.

## Parameters

name

  The name (optionally schema-qualified) of an existing function.

type

  The data type of an argument of the function.

newname

  The new name of the function.

## Examples

To rename the function `sqrt` for type `integer` to `square_root`:

    ALTER FUNCTION sqrt(integer) RENAME TO square_root;

## Compatibility

There is an `ALTER FUNCTION` statement in the SQL standard, but it does not provide the option to rename the function.

## See Also

CREATE FUNCTION, DROP FUNCTION

Prev | Home | Next
ALTER DOMAIN | Up | ALTER GROUP